%define pypi_name	sentry_sdk

Name:		python-sentry-sdk
Version:	1.45.0
Release:	1%{dist}
Summary:	Python client for Sentry (https://sentry.io)
License:	MIT
Group:		Development/Python
URL:		https://pypi.org/project/sentry-sdk/
Source0:	https://files.pythonhosted.org/packages/source/s/sentry-sdk/sentry-sdk-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}dist(pip)

%description
Python client for Sentry (https://sentry.io).

%package -n	python%{python3_pkgversion}-sentry-sdk
Summary:	Python3 client for Sentry (https://sentry.io)
Group:		Development/Python

%description -n	python%{python3_pkgversion}-sentry-sdk
Python 3 client for Sentry (https://sentry.io).


%prep
%autosetup -p1 -n sentry-sdk-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python%{python3_pkgversion}-sentry-sdk -f %{pyproject_files}
%doc README.md
%license LICENSE
